Bug 61324 - Xconfigurator crashes video
Xconfigurator crashes video
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-17 19:32 EST by Michal Jaegermann
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-08 10:29:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-03-17 19:32:01 EST
Description of Problem:

Xconfigurator-4.9.39-2 with Matrox G450 card writes in pricinple a correct
configuration file (like the one I have from the previous beta) and
promptly kills video while promissing to test my setup.  A computer is
accessible over a network but screen remains blank no matter what
I do.  It appears to shutdown when directed to do so but only
hitting reset button after a while restores my video.

X works when I recycle my old configuration file.

Version-Release number of selected component (if applicable):
Xconfigurator-4.9.39-2
Comment 1 Mike A. Harris 2002-03-17 22:16:32 EST
Reassigning to Alpha project lead.
Comment 2 Mike A. Harris 2002-11-08 10:36:40 EST
We've never released a Red Hat Linux 7.3 for Alpha, however we have
released a Red Hat Linux 7.2 for Alpha for HP, which officially HP provides
support for.

You haven't indicated above what version of the OS is really being used,
or what XFree86 version though so it is hard for me to comment...

While we don't support the 7.2 Alpha release, I like to fix Alpha stuff,
but Xconfigurator is obsoleted now, replaced by redhat-config-xfree86 in
our current sourcetree, so any Xconfigurator fixes would be very unlikely
at this point.

The real problem here is more likely not Xconfigurator though, but XFree86
itself on G450.  While there wont be any more work done on the 7.2 release
for Alpha by us, I'm personally interested in keeping X running on Alpha
for our current development tree, so if you're using Rawhide at all, or
are recompiling rawhide X, or 8.0's X for our 7/[12] Alpha distros, and
the mga driver isn't stable, please feel free to open bug reports and
I'll try to look into them when I have time to muck with Alpha.  Note also
that I don't have an AGP Alpha box yet (GRRRR), so I'm kindof limited to
debugging PCI hardware on Alpha.  Still looking for a decent AGP Alpha though.

For now, I'm closing this WONTFIX, but if the current sources have buggy
driver support for g450, please open bug reports against rawhide.  I might
try to hit up George for an AGP board perhaps....  ;o)

TTYL
Comment 3 Michal Jaegermann 2002-11-08 11:47:16 EST
> We've never released a Red Hat Linux 7.3 for Alpha,

Yes, I know and this was an obvious mistake on my part.  Most likely I forgot
to change a version on a submission form which is _very easy_ to do.
After many months I do not remember exactly where this version of Xconfigurator
came from (rawhide - I guess) but its version was clearly identified.

> The real problem here is more likely not Xconfigurator though, but XFree86
> itself on G450.

No, not really.  Matrox G450 works just fine on Alpha even if I had to
configure it "manually".  Although nowadays "external factors" made me to
use Radeon 7500 on my Alpha, which forced me into a version 4.2.0 of X,
I checked on occasions also G450 and save missing DRI it continued to work;
even its performance is not that bad (I do not have any numbers handy at
this moment).

Note You need to log in before you can comment on or make changes to this bug.